Public Member Functions | Public Attributes | List of all members
libebook::XMLTreeNode::ElementData Struct Reference

`#include <XMLTreeNode.h>`

## Public Member Functions
| ElementData ()
| ElementData (const LWCStringPtr_t &name, const LWCStringPtr_t &ns=LWCStringPtr_t())

## Public Attributes
QName | qname
int | id
bool | idSet

## Constructor & Destructor Documentation

## ◆ ElementData() [1/2]

libebook::XMLTreeNode::ElementData::ElementData | ( |  | ) |

## ◆ ElementData() [2/2]

libebook::XMLTreeNode::ElementData::ElementData | ( | const LWCStringPtr_t & | name,
|  | const LWCStringPtr_t & | ns = LWCStringPtr_t() )
| explicit

## Member Data Documentation

## ◆ id

int libebook::XMLTreeNode::ElementData::id
| mutable

## ◆ idSet

bool libebook::XMLTreeNode::ElementData::idSet
| mutable

## ◆ qname

QName libebook::XMLTreeNode::ElementData::qname

The documentation for this struct was generated from the following files:

- XMLTreeNode.h
- XMLTreeNode.cpp